Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.command
Class CommandDefaultGameMode

    java.lang.Object
      net.minecraft.command.CommandBase
          net.minecraft.command.CommandGameMode
              net.minecraft.command.CommandDefaultGameMode

All Implemented Interfaces:
  Comparable, ICommand

    public class CommandDefaultGameMode

extends CommandGameMode

Constructor Summary
`CommandDefaultGameMode()`

Method Summary
`String` | `getCommandName()`
`String` | `getCommandUsage(ICommandSender par1ICommandSender)`
`void` | `processCommand(ICommandSender par1ICommandSender, String[] par2ArrayOfStr)`

Methods inherited from class net.minecraft.command.CommandGameMode
`addTabCompletionOptions, getRequiredPermissionLevel, isUsernameIndex`

Methods inherited from class net.minecraft.command.CommandBase
`canCommandSenderUseCommand, compareNameTo, compareTo, doesStringStartWith, func_82359_c, func_82360_a, func_82361_a, func_82363_b, getCommandAliases, getCommandSenderAsPlayer, getListOfStringsFromIterableMatchingLastWord, getListOfStringsMatchingLastWord, joinNiceString, notifyAdmins, notifyAdmins, parseInt, parseIntBounded, parseIntWithMin, setAdminCommander`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandDefaultGameMode

    public CommandDefaultGameMode()

Method Detail

### getCommandName

    public String getCommandName()

  Specified by:
    `getCommandName` in interface `ICommand`
  Overrides:
    `getCommandName` in class `CommandGameMode`

### getCommandUsage

    public String getCommandUsage(ICommandSender par1ICommandSender)

  Specified by:
    `getCommandUsage` in interface `ICommand`
  Overrides:
    `getCommandUsage` in class `CommandGameMode`

### processCommand

    public void processCommand(ICommandSender par1ICommandSender,
                               String[] par2ArrayOfStr)

  Specified by:
    `processCommand` in interface `ICommand`
  Overrides:
    `processCommand` in class `CommandGameMode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD